Subject: Re: bug#56117: 29.0.50; pgtk does not distinguish between <kp-separator> and "."/","

From: Po Lu <[email-masked]>
Date: Thu, 23 Jun 2022 16:40:10 +0800

Eli Zaretskii <[email-masked]> writes:

> Maybe we are talking about an issue that is not understood well enough
> by some participants (e.g., myself).  Can you please describe in more
> detail what causes this particular issue?

Basically, GTK input methods (which are maintained outside GTK) tend to
"swallow" the difference between keypresses like "C-S-u" and "C-u",
along with the difference between "kp-separator" and the separator
itself.

The reason is that doing so is slightly more convenient for the input
method developers, and most GTK programs, unlike Emacs, have no need to
tell those keypresses apart.

So in practice, Emacs users either have the choice of disabling the use
of system input methods, or putting up with those issues.

They are already documented in PROBLEMS, but somehow we still get a
continuous stream of people reporting them as bugs in Emacs.